Bug 252169 (CVE-2007-3143) - CVE-2007-3143 konqueror visual hostname truncation in HTTP authentication dialog
Summary: CVE-2007-3143 konqueror visual hostname truncation in HTTP authentication dialog
Status: CLOSED WONTFIX
Alias: CVE-2007-3143
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://nvd.nist.gov/nvd.cfm?cvename=C...
Whiteboard: public=20070606,reported=20070612,sou...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-14 13:07 UTC by Tomas Hoger
Modified: 2015-02-19 09:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 15:15:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tomas Hoger 2007-08-14 13:07:05 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-3143
to the following vulnerability:

Visual hostname truncation vulnerability in Konqueror allows remote attackers
to spoof the hostname displayed in the HTTP Basic Authentication dialog and
possibly conduct phishing attacks via a long hostname, which is truncated after
a certain number of characters.

Comment 1 Tomas Hoger 2007-08-14 13:44:51 UTC
More detailed description of the problem can be found in Opera's advisory:

http://www.opera.com/support/search/view/864/

Opera browser was affected by similar problem (with CVE name CVE-2007-3142).

Unlike Opera, Konqueror does not truncate hostname after certain predefined
number of characters.  Part of the hostname, which fits into the space for text
label, is printed, possibly / likely truncating string in the middle of the
character.  Length of hostname prefix, which is displayed to user, probably
depends on user's font settings.


Comment 2 Vincent Danen 2015-02-17 15:15:10 UTC
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.